require 'rubygems'
require 'spork'
#uncomment the following line to use spork with the debugger
#require 'spork/ext/ruby-debug'

Spork.prefork do
    # Loading more in this block will cause your tests to run faster. However,
    # if you change any configuration or code from libraries loaded here, you'll
    # need to restart spork for it take effect.

    ENV["RAILS_ENV"] ||= 'test'
    require File.expand_path("../../config/environment", __FILE__)
    require 'rspec/rails'
    require 'rspec/autorun'

    RSpec::Matchers::define :have_title do |text|
        match do |page|
            Capybara.string(page.body).has_selector?('title', text: text)
        end
    end

    # Requires supporting ruby files with custom matchers and macros, etc,
    # in spec/support/ and its subdirectories.
    Dir[Rails.root.join("spec/support/**/*.rb")].each {|f| require f}

    RSpec.configure do |config|
        # ## Mock Framework
        #
        # If you prefer to use mocha, flexmock or RR, uncomment the appropriate line:
        #
        # config.mock_with :mocha
        # config.mock_with :flexmock
        # config.mock_with :rr

        # Remove this line if you're not using ActiveRecord or ActiveRecord fixtures
        #config.fixture_path = "#{::Rails.root}/spec/fixtures"

        # If you're not using ActiveRecord, or you'd prefer not to run each of your
        # examples within a transaction, remove the following line or assign false
        # instead of true.
        #config.use_transactional_fixtures = true

        # If true, the base class of anonymous controllers will be inferred
        # automatically. This will be the default behavior in future versions of
        # rspec-rails.
        config.infer_base_class_for_anonymous_controllers = false

        # Run specs in random order to surface order dependencies. If you find an
        # order dependency and want to debug it, you can fix the order by providing
        # the seed, which is printed after each run.
        #     --seed 1234
        config.order = "random"
    end
end

Spork.each_run do
  # This code will be run each time you run your specs.

end

def signin
    fill_in "jid",      with: 'testovaci1@jabbim.cz'
    fill_in "password", with: 'heslo'
    click_button I18n.t("sessions.new.form-send")
end